Skip to content

Retrieve Published Videos

GET /videos/published

Retrieves a list of published videos and streams associated with your SpatialGen account.

Allowed API Key Roles

adminreadonly

Query Parameters

ParameterTypeRequiredDescription
folderNamestringNoFilters results by folder name. You can provide this parameter multiple times to include videos from several folders. If omitted, all published videos are returned. This parameter is case-sensitive.
visibilitystringNoFilter streams by visibility. Accepted values: public or drm.

Example request

getpublished.js
fetch('https://spatialgen.com/api/videos/published', {
method: 'GET',
headers: {
'X-SPATIALGEN-APPKEY': apiKey,
}
})

Example request filtered by visibility

getPublishedFiltered.js
fetch('https://spatialgen.com/api/videos/published?visibility=drm', {
method: 'GET',
headers: {
'X-SPATIALGEN-APPKEY': apiKey,
}
})

Example Response

The response returns a list sorted in descending order by the stream’s creation date.

response.json
[
{
"stream": {
"createdAt": string, // Date in string format
"status": string, // Stream status
"streamName": string, // Name of the stream
"streamUrl": string, // URL for the stream
"visibility": string, // Visibility of the stream
"highestResolutionUrl": string, // URL to the highest resolution converted video
"highestResolutionBytes": number, // The number of bytes in the highest resolution converted video
"jobId": number // The job ID corresponding to the stream
},
"library": {
"createdAt": string, // Date in string format
"description": string, // Description of the video
"fileFormat3D": string, // Format of the 3D file
"folderName": string, // Name of the folder
"id": number, // ID of the video
"is3D": boolean, // If the video is in 3D
"isStreaming": boolean, // If the video is streaming
"perspective": number, // Perspective
"thumbnailUrl": string, // Thumbnail URL
"videoLength": number, // Length of the video in seconds
"videoHeight": number, // Height of the video
"videoName": string // Name of the video
}
},
...
]